#navList li a:before, #navList li a:after
{
   display: inline-block;
    width: 100%;
    height: 100%;
    content: "";
    position: absolute;
    left: -1px;
    top: -1px;
    border-width: 1px;
    transition: all .2s;
}

#navList li a:before {
border-image: linear-gradient(to right, #ffffff 30px, rgba(0, 0, 0, 0) 16px) 1;
}
#navList li a:after{
border-image: linear-gradient(to left, #ffffff 30px, rgba(0, 0, 0, 0) 16px) 1;
}